<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

$sort_by = isset($_GET['sort_by']) ? 'sort_by='.$_GET['sort_by'] : '';

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';
if (file_exists(FORUM_ROOT.'extensions/affiche/lang/'.$forum_user['language'].'/affiche.php'))
	require FORUM_ROOT.'extensions/affiche/lang/'.$forum_user['language'].'/affiche.php';
else
	require FORUM_ROOT.'extensions/affiche/lang/English/affiche.php';

	$query = array(
		'SELECT'	=> 'COUNT(id)',
		'FROM'		=> 'topics',
		'WHERE'		=> 'affiche_start_date>0',
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$num_affiches = $forum_db->result($result);

if ($num_affiches > 0)
{
	//Page Navigation
	$forum_page['num_pages'] = ceil($num_affiches / $forum_user['disp_topics']);
	$forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
	$forum_page['start_from'] = $forum_user['disp_topics'] * ($forum_page['page'] - 1);
	$forum_page['finish_at'] = min(($forum_page['start_from'] + $forum_user['disp_topics']), ($num_affiches));
	$forum_page['items_info'] = generate_items_info($lang_affiche['Affiches'], ($forum_page['start_from'] + 1), $num_affiches);

	if($forum_page['num_pages'] > 1)
		$forum_page['page_post']['paging'] = '<p class="paging"><span class="pages">'.$lang_affiche['Pages'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], $forum_url['affiches'], '', array($sort_by, sef_friendly('Affiches'))).'</p>';
}

if(isset($_POST['delete_affiche'])) {
	
	$p_id = $_POST['p_id'];
	
	$query = array(
		'UPDATE'	=> 'topics',
		'SET'		=> 'affiche_start_date = 0, affiche_end_date = 0, affiche_image = NULL, affiche_groups = ""',
		'WHERE'		=> 'id='.$p_id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	$message = $lang_affiche['Affiche deleted'];
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['affiche']), $message);
}
	
// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_affiche['Affiche'], forum_link($forum_url['affiche']))
);

define('FORUM_PAGE_SECTION', 'affiche');
define('FORUM_PAGE', 'admin-affiche');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

<div class="main-content main-frm">
	
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo sprintf($lang_affiche['Number of affiches'], $num_affiches) ?></span></h2>
	</div>
	
<?php
if ($num_affiches > 0)
{

if($sort_by == 'sort_by=start_date_ASC')
	$sort_query = 't.affiche_start_date ASC';
else if($sort_by == 'sort_by=start_date_DESC')
	$sort_query = 't.affiche_start_date DESC';
else if($sort_by == 'sort_by=end_date_ASC')
	$sort_query = 't.affiche_end_date ASC';
else if($sort_by == 'sort_by=end_date_DESC')
	$sort_query = 't.affiche_end_date DESC';
//else if($sort_by == 'status_active')
//	$sort_query = 't.affiche_end_date >= '.$forum_db->escape(time()).' AND t.affiche_end_date DESC';
//else if($sort_by == 'status_over')
//	$sort_query = 't.affiche_end_date < '.$forum_db->escape(time()).' AND t.affiche_end_date DESC';
else
	$sort_query = 't.affiche_start_date DESC';

	$query = array(
		'SELECT'	=> 't.id, t.subject, t.affiche_start_date, t.affiche_end_date, t.affiche_image, p.message',
		'FROM'		=> 'topics AS t',
		'JOINS'	 => array(
		    array(
			    'LEFT JOIN' => 'posts AS p',
			    'ON'		=> 'p.id=t.first_post_id'
		    )
	    ),
		'WHERE'		=> 't.affiche_start_date>0',
		'ORDER BY'	=> ''.$sort_query,
		'LIMIT'		=> $forum_page['start_from'].', '.$forum_user['disp_topics']
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
?>
	<div class="main-content main-frm" style="margin-bottom:unset;">
		<div class="ct-group">
			<table>
				<thead>
					<tr>
						<th class="tc0" style="width:2%;">№</th>
						<th class="tc1" style="width:10%;"><?php echo $lang_affiche['Affiche image'] ?></th>
						
						<th class="tc3" style="width:10%;"><a href="<?php echo forum_link($forum_url['affiche_sort_by'], 'sort_by=start_date_ASC') ?>" title="<?php echo $lang_affiche['Sort asc'] ?>">&uArr;</a>
							<?php echo $lang_affiche['Affiche start date'] ?><a href="<?php echo forum_link($forum_url['affiche_sort_by'], 'sort_by=start_date_DESC') ?>" title="<?php echo $lang_affiche['Sort desc'] ?>">&nbsp;&dArr;</a></th>
						
						<th class="tc3" style="width:10%;"><a href="<?php echo forum_link($forum_url['affiche_sort_by'], 'sort_by=end_date_ASC') ?>" title="<?php echo $lang_affiche['Sort asc'] ?>">&uArr;</a>
							<?php echo $lang_affiche['Affiche end date'] ?><a href="<?php echo forum_link($forum_url['affiche_sort_by'], 'sort_by=end_date_DESC') ?>" title="<?php echo $lang_affiche['Sort desc'] ?>">&nbsp;&dArr;</a></th>
							
						<th class="tc3" style="width:10%;"><?php echo $lang_affiche['Status'] ?></th>
						<th class="tc5" style="width:4%;"><?php echo $lang_affiche['Delete'] ?></th>
					</tr>
				</thead>
				<tbody> 
<?php

	$i = isset($_GET['p']) ? $forum_user['disp_topics'] * ($forum_page['page']-1)+1 : '1';
	while ($affiche = $forum_db->fetch_assoc($result)) {
		
		if ($affiche["affiche_image"] != NULL && preg_match('/jpg|jpeg|png|gif/i', $affiche["affiche_image"])) {
			$temp_photo = $affiche["affiche_image"];
			
			$img_code = array("[img]", "[/img]", "[IMG]", "[/IMG]"); 
	        $temp_photo = str_replace($img_code, "", $temp_photo);

			$a_photo = '<img src="'.$temp_photo.'" alt="">';
		} else {
			$img_pattern = '#\[img\](.*?)\[/img\]#ms';

		    if (preg_match($img_pattern, $affiche["message"], $t_img)) {
				$a_photo = '<img src="'.$t_img[1].'" width="auto" height="60px" alt="">';
		    } else {
				$a_photo = '<img src="'.$base_url.'/extensions/affiche/css/img/no_image.jpg" width="auto" height="60px" alt="">';
			}
		}
		
		if ($affiche['affiche_end_date'] >= time()) { $status = $lang_affiche['Is active']; } else { $status = $lang_affiche['Is over']; }
?>
			<form action="<?php echo forum_link($forum_url['affiche']) ?>" accept-charset="utf-8" method="post" class="frm-form">

				<tr class="<?php (($i % 2 != 0) ? 'odd' : 'even') ?><?php (($i == 1) ? ' row1' : '') ?>">
					<td class="tc0"><?php echo $i; ?></td>
					<input type="hidden" value="<?php echo generate_form_token(forum_link($forum_url['affiche'])) ?>" name="csrf_token" />
					<td class="tc1"><a href="<?php echo forum_link($forum_url['topic'], $affiche['id']) ?>" title="<?php echo $affiche['subject'] ?>"><?php echo $a_photo ?></a></td>
					<td class="tc3"><?php echo date("d.m.Y", $affiche['affiche_start_date']); ?></td>
					<td class="tc3"><?php echo date("d.m.Y", $affiche['affiche_end_date']); ?></td>
					<td class="tc3"><?php echo $status; ?></td>
					<input type="hidden" name="p_id" value="<?php echo $affiche['id']; ?>" />
					<td class="tc5"><input type="submit" name="delete_affiche" value="X" onclick="return confirm('<?php echo $lang_affiche['Delete affiche'] ?>')"/></td>
				</tr>

			</form>
<?php
	$i++;
	}

?>

				</tbody>
			</table>
		</div>
	</div>
	
<?php } else { ?>	

    <div class="main-content main-frm" style="margin-bottom:unset;">
	    <div class="ct-box" style="background:#FEFFE6 none repeat scroll 0% 0%;">
		    <p><strong><?php echo $lang_affiche['No created affiches'] ?></strong></p>
	    </div>
	</div>
	
<?php 
	} 


?>
 
</div>
	
<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';