<?php

if (!defined('FORUM') ) die();

$query_af = array(
	'SELECT'    => 'ta.id, ta.affiche_groups',
	'FROM'	    => 'topics AS ta',
    'WHERE'	    => 'ta.affiche_end_date >= '.$forum_db->escape(time()),
	'GROUP BY'	=> 'ta.id',
	'ORDER BY'	=> 'ta.affiche_start_date ASC',
    'LIMIT'	    => 3	
);
$result_af = $forum_db->query_build($query_af) or error(__FILE__, __LINE__);
if ($forum_db->num_rows($result_af) > 0) {
	
	$a_ips = array();
	while ( $t_anons = $forum_db->fetch_assoc($result_af) )
	{
		$t_groups = ($t_anons['affiche_groups'] != '') ? unserialize($t_anons['affiche_groups']) : array();
		if ($forum_user['group_id'] == 1 OR in_array($forum_user['group_id'], $t_groups)) {
			$a_ips[] = $t_anons['id'];
		}
	}

	if (!empty($a_ips))
    {
        $query = array(
	        'SELECT' => 't.id, t.subject, t.affiche_start_date, t.affiche_end_date, t.affiche_image, p.message',
	        'FROM'	 => 'topics AS t',
	        'JOINS'	 => array(
		        array(
			        'LEFT JOIN' => 'posts AS p',
			        'ON'		=> 'p.id=t.first_post_id'
		        )
	        ),
            'WHERE'		=> 't.id IN ('.implode(',', $a_ips).')',
	        'GROUP BY'	=> 't.id',
	        'ORDER BY'	=> 't.affiche_start_date ASC',
            'LIMIT'	    => 3	
        );
        $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

?>
<div id="site_anons">
<div class="main-head">
	<h2 class="hn"><span><?php echo $lang_affiche['Affiche']; ?></span></h2>
</div>
<div class="main-content">
<?php

        $i = 1;
        while ( $anons = $forum_db->fetch_assoc($result) )
	    {
		    if ($anons["affiche_image"] != NULL && preg_match('/jpg|jpeg|png|gif/i', $anons["affiche_image"])) {
			    $temp_photo = $anons["affiche_image"];
			
			    $img_code = array("[img]", "[/img]", "[IMG]", "[/IMG]"); 
	            $temp_photo = str_replace($img_code, "", $temp_photo);

			    $a_photo = '<img src="'.$temp_photo.'" alt="">';
		    } else {
			    $img_pattern = '#\[img\](.*?)\[/img\]#ms';

		        if (preg_match($img_pattern, $anons["message"], $t_img)) {
				    $a_photo = '<img src="'.$t_img[1].'" alt="">';
		        } else {
				    $a_photo = '<img src="'.$ext_info['url'].'/css/img/no_image.jpg" alt="">';
			    }
		    }
		
		    if ($anons['affiche_start_date'] <= time()) {
			    $a_date = "<font color='green'>&nbsp; *".$lang_affiche['Today']."*</font>";
		    } elseif (date('d.m.Y', $anons['affiche_start_date']) == date('d.m.Y', time()+(1*(24*60*60)))) {
			    $a_date = "<font color='orange'>&nbsp; *".$lang_affiche['Tomorrow']."*</font>";
		    } else {
			    $a_date = "<font color='red'>&nbsp; *".$lang_affiche['Coming soon']."*</font>";
		    }

		    if (!defined('FORUM_PARSER_LOADED'))
			    require FORUM_ROOT.'include/parser.php';

		    $b_text = parse_message($anons["message"], 0);
		    $a_text = strip_tags($b_text);

            if(utf8_strlen($a_text) > 500)
            {                                      
                $a_text = utf8_substr($a_text,0,500).'...';
            }
			
		    echo 
		        (($i > 1) ? '<div class="anons_separator"></div>' : '').'
		        <div class="anons_block">
			    <a href="'.forum_link($forum_url['topic'], $anons['id']).'" title="'.$anons["subject"].'">'.$a_photo.'
			    <div class="anons_title">'.$anons["subject"].$a_date.'</div>
			    <div class="anons_text">'.$a_text.'</div>
			    </a>
			    </div>';
		    $i++;
        }

?>
</div>
</div>
<?php

    }
}



